package l1j.server;

import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.logging.LogManager;
import l1j.gui.J_Main;
import l1j.server.CompressFile;
import l1j.server.Config;
import l1j.server.ConfigRobot;
import l1j.server.L1DatabaseFactory;
import l1j.server.server.GameServer;
import l1j.server.telnet.TelnetServer;
import org.apache.log4j.PropertyConfigurator;

public class Server {

   private static final String LOG_PROP = "./config/log.properties";
   private static final String _log_prop = "./config/logging.properties";
   private static final String _log_4j = "./config/log4j.properties";
   private static final String _loginfo = "./loginfo";
   private static final String _back = "./back";


   public static void main(String[] args) throws Exception {
      CompressFile bean = new CompressFile();

      try {
         File e = new File("./back");
         if(!e.exists()) {
            e.mkdir();
         }

         String nowDate = (new SimpleDateFormat("yyyy-MM-dd-HH-mm-ss")).format(new Date());
         bean.zip((String)"./loginfo", "./back/" + nowDate + ".zip");
         File loginfofile = new File("./loginfo");
         String[] loginfofileList = loginfofile.list();
         String[] var6 = loginfofileList;
         int var7 = loginfofileList.length;

         for(int var8 = 0; var8 < var7; ++var8) {
            String fileName = var6[var8];
            File readfile = new File("./loginfo/" + fileName);
            if(readfile.exists() && !readfile.isDirectory()) {
               readfile.delete();
            }
         }
      } catch (IOException var13) {
         System.out.println("资料夹不存在: ./back 已经自动建立!");
      }

      try {
         BufferedInputStream var14 = new BufferedInputStream(new FileInputStream("./config/logging.properties"));
         LogManager.getLogManager().readConfiguration(var14);
         var14.close();
      } catch (IOException var12) {
         System.out.println("档案遗失: ./config/logging.properties");
      }

      try {
         PropertyConfigurator.configure("./config/log4j.properties");
      } catch (Exception var11) {
         System.out.println("档案遗失: ./config/log4j.properties");
         System.exit(0);
      }

      Config.load();
      ConfigRobot.load();
      L1DatabaseFactory.setDatabaseSettings(Config.DB_DRIVER, Config.DB_URL, Config.DB_LOGIN, Config.DB_PASSWORD);
      L1DatabaseFactory.getInstance();
      J_Main.getInstance().setVisible(true);
      GameServer.getInstance().initialize();
      if(Config.TELNET_SERVER) {
         TelnetServer.getInstance().start();
      }

   }
}
